# easyRTML

[![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://github.com/yourusername/easyRTML/blob/main/LICENSE)
[![Python Version](https://img.shields.io/badge/python-3.6%2B-brightgreen.svg)](https://www.python.org/downloads/)

## Overview

**easyRTML** is a Python package designed for signal classification and deployment on any microcontroller board without requiring any expertise. This package facilitates seamless data acquisition, feature extraction, model training, and conversion to deployable code for embedded systems.

## Features

- **Data Acquisition**: Capture data from sensors and save it in CSV format.
- **Feature Extraction**: Extract relevant features from raw data for machine learning.
- **Model Training**: Train classification models using state-of-the-art algorithms.
- **Model Deployment**: Convert trained models to C++ code for deployment on microcontrollers.

## Installation

To install the package, use `pip`:

```sh
pip install easyRTML

